package com.kmall.api.dao;

import com.kmall.api.entity.UserCouponVo;
import org.apache.ibatis.annotations.Param;
import com.kmall.common.dao.BaseDao;
import org.springframework.stereotype.Component;

/**
 * @author Scott
 * @email
 * @date 2017-08-11 09:16:47
 */
@Component
public interface ApiUserCouponMapper extends BaseDao<UserCouponVo> {
    UserCouponVo queryByCouponNumber(@Param("coupon_number") String coupon_number);

    UserCouponVo queryByOrderId(@Param("order_id") Long order_id);

    Integer cancelOrder(UserCouponVo couponVo);

    UserCouponVo queryObjectByIdAndUsed(Integer id);
}
